Package org.apache.sysds.runtime.controlprogram.federated

# Class FederatedWorker.FederatedResponseEncoder

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelOutboundHandlerAdapter
io.netty.handler.codec.MessageToByteEncoder<Serializable>
io.netty.handler.codec.serialization.ObjectEncoder
org.apache.sysds.runtime.controlprogram.federated.FederatedWorker.FederatedResponseEncoder

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelOutboundHandler`

Enclosing class:
  FederatedWorker

public static class FederatedWorker.FederatedResponseEncoder extends io.netty.handler.codec.serialization.ObjectEncoder

## Nested Class Summary

## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

`io.netty.channel.ChannelHandler.Sharable`

## Constructor Summary

Constructors
Constructor
Description
`FederatedResponseEncoder()`

## Method Summary

### Methods inherited from class io.netty.handler.codec.MessageToByteEncoder

`acceptOutboundMessage, write`

### Methods inherited from class io.netty.channel.ChannelOutboundHandlerAdapter

`bind, close, connect, deregister, disconnect, flush, read`

### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

`exceptionCaught, handlerAdded, handlerRemoved, isSharable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.netty.channel.ChannelHandler

`exceptionCaught, handlerAdded, handlerRemoved`

## Constructor Details

### FederatedResponseEncoder

public FederatedResponseEncoder()